import request from "@/utils/request";

// 工程监理--材料进场列表
export function apiSupervisionMaterialEntryLists(params: any) {
  return request.get({
    url: "/supervision_work.supervision_material_entry/lists",
    params,
  });
}

// 添加工程监理--材料进场
export function apiSupervisionMaterialEntryAdd(params: any) {
  return request.post({
    url: "/supervision_work.supervision_material_entry/add",
    params,
  });
}

// 编辑工程监理--材料进场
export function apiSupervisionMaterialEntryEdit(params: any) {
  return request.post({
    url: "/supervision_work.supervision_material_entry/edit",
    params,
  });
}

// 删除工程监理--材料进场
export function apiSupervisionMaterialEntryDelete(params: any) {
  return request.post({
    url: "/supervision_work.supervision_material_entry/delete",
    params,
  });
}

// 工程监理--材料进场详情
export function apiSupervisionMaterialEntryDetail(params: any) {
  return request.get({
    url: "/supervision_work.supervision_material_entry/detail",
    params,
  });
}

// 工程监理--材料进场详情
export function apisupervision_material_entry_detail(params: any) {
  return request.get({
    url: "/supervision_work.supervision_material_entry_detail/lists",
    params,
  });
}

export function apisupervision_material_entry_detail_delete(params: any) {
  return request.post({
    url: "/supervision_work.supervision_material_entry_detail/delete",
    params,
  });
}

export function apiSupervisionMaterialEntrySearch(params: any) {
  return request.post({
    url: "/supervision_work.supervision_material_entry/datas",
    params,
  });
}
